*/* ESTILOS GERAIS */ 
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

:root {
    --primary-color: #2563eb;
    --dark-color: #0f172a;
    --light-bg: #f1f5f9;
    --white: #ffffff;
}

body {
    font-family: 'Segoe UI', sans-serif;
    transition: 0.3s;
    padding: 20px;
    line-height: 1.6;
    background-color: var(--light-bg);
    color: var(--dark-color);
}

/* DARK MODE */
body.dark {
    background: #0f172a;
    color: white;
}

/* HEADER */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
    height: 70px; 
    width: 100%;
    border: 2px solid var(--white);
    padding: 1rem 5%;
box-shadow: 0 2px 5px rgba(0,0,0,0.1);
z-index: 1000;
transition: transform 0.3s ease-in-out;
}

nav {
    display: flex;
    gap: 15px;
    color: var(--dark-color);
   }

nav a {
    text-decoration: none;
    font-weight: bold;
}

/* SOBRE */
#sobre{
    text-align: center;
    margin-bottom: 30px;
    padding: 30px;
    border: 2px solid var(--white);
}

img{
    width: 150px; 
    border-radius: 10%;
    margin-bottom: 20px;
}

#img-perfil{
    width: 150px;
    border-radius:10%;
}

/* HABILIDADES */
.logos {
    display: flex;
    justify-content: space-around;
    gap: 5px;
    margin-top: 30px;
    padding: 40px;
    border: 2px solid var(--white);
    
    }

.logos img {
    width: 110px;
    height: 50px;
    }

#habilidades{
    text-align: center;
    margin-bottom: 30px;
    background-color: #f4f5f7;
    }

/* GRID PROJETOS */
#grid-projetos {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 15px;
    padding: 30px;
    
}
#projetos{
    text-align: center;
    margin-bottom: 30px;
    padding: 30px;
    background-color: #f4f5f7;
    border: 2px solid var(--white);
}
    
.card-projeto:hover {
    transform: translateY(-5px);
}

/* CARD */
.card {
    background: #efeff5;
    padding: 40px;
    border-radius: 10px;
    text-align: center;
    transition: 0.3s;
    scroll-behavior: smooth;    
}

.card img {
    width: 40%;
    border-radius: 10px;
    
}

body.dark .card {
    background: #0f172a;
   
}


/* FORM */
form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-left:20px;
    padding-right:20px;
    width: 50%;
    margin: 0% auto;
}

form label {
    font-size: 0.9rem;
    font-weight: 600;
    margin-bottom: 8px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

input, textarea {
    padding: 14px;
    background-color: #efeff5;
    border: 1px solid #c7c1c1;
    font-family: inherit;
    border-radius: 5px;
}
#contato{
    text-align: center;
    margin-bottom: 30px;
    border: 2px solid var(--white);
    padding: 34px;
}

/* ANIMAÇÃO */
.fade-in {
    opacity: 0;
    transform: translateY(20px);
    animation: fade 1s forwards;
    transition: opacity 0.8s ease, transform 0.8s ease;
}

@keyframes fade {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

#infor{
    display: flex;
    flex-direction: column;
    height: 300px;
    width: 100%;
    justify-content: center;
    align-items: center;
}


footer{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin-top: 60px;
}

/* RESPONSIVE DESIGN */
@media (max-width: 768px)
{
    header {
        flex-direction: column;
        gap: 15px;
    }

    nav {
        gap: 15px;
    }
}

@media (max-width: 1100px) {
    body{
        padding-left: 20px;
        padding-right: 20px;
    }

    #img-perfil{
        width: 100px;
        height: 100px
    }
}